# $Revision: 1.41 $, $Date: 2002/11/17 01:00:14 $
Summary:	Applnk - base directories tree used for storing desktop/kdelnk menu entries
Summary(pl):	Applnk - bazowa struktura katalogw z opisami do plikw desktop/kdelnk
Name:		applnk
Version:	1.5.15
Release:	1
License:	GPL
Group:		Base
Source0:	ftp://ftp.pld.org.pl/software/applnk/%{name}-%{version}.tar.bz2
BuildRequires:	autoconf
BuildRequires:	automake
Conflicts:	wmconfig < 0.9.10-5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Base directories tree used for storing desktop/kdelnk menu entries.
Package also contains full description of this hierarchy (descriptions
with translations and menu order).

%description -l pl
Bazowa struktura katalogw uywana do przechowywania plikw
desktop/kdelnk opisu elementw menu ze spisem aplikacji. Pakiet
zawiera peny opis hierarchii katalogw (w plikach .directory) wraz z
tumaczeniami tych opisw, a take opis sposobu uszeregowania
grup/elementw katalogw.

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_applnkdir}
%{_pixmapsdir}/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: applnk.spec,v $
Revision 1.41  2002/11/17 01:00:14  kloczek
new version 1.5.15: more icons.

Revision 1.40  2002/11/09 17:17:37  kloczek
new version 1.5.14:
- more icons for menu items.

Revision 1.39  2002/11/07 00:39:57  ankry
- added source URL

Revision 1.38  2002/11/06 07:27:38  kloczek
new version 1.5.13:
- added Games/RPG,
- more icons in 48x48 size.

Revision 1.37  2002/10/30 12:47:45  ankry
- version 1.5.11 from cvs:
 -- moved Office/Editors and Develepment/Editors to Editors/{,HTML,XML,Man}
 -- added Scientific/Astronomy
 -- added toplevel Edutainment (any better choice ?)
 -- change internal names for Games/Strategy (to tactic-strategy)
 -- more private dirs listed in .order files

Revision 1.36  2002/09/29 13:01:32  kloczek
- more macros.

Revision 1.35  2002/09/22 12:37:04  adgor
- Updated to 1.5.10

Revision 1.34  2002/09/09 12:13:47  blues
- 1.5.9 - STBR

Revision 1.33  2002/09/06 13:36:14  blues
- 1.5.8 - STBR

Revision 1.32  2002/05/21 23:12:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.31  2002/04/25 15:47:31  arturs
fixed a small typo

Revision 1.30  2002/04/16 16:26:57  gotar
- 1.5.7 once more (this time I've put sources manually).

Revision 1.29  2002/04/08 07:54:39  ankry
- back to version 1.5.6; increase release instead of version; there is no
  1.5.7 sources, so it did not build (--> epoch increase not necessary)

Revision 1.28  2002/04/06 08:03:43  ankry
- removed non-existing URL; source still does not exist in CVS - revert to
  1.5.6 ?

Revision 1.27  2002/04/05 19:05:18  gotar
- s/Scientific/Science,
- ver 1.5.7.

Revision 1.26  2002/02/25 21:49:13  kloczek
New version 1.5.6: added System/Administration submenu.

Revision 1.25  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:12:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/12/16 02:37:43  kloczek
new versiion 1.5.5:
- added Help submenu,
- icons for Games/*.

Revision 1.21  2001/11/26 15:37:43  kloczek
- new version 1.5.4: added Games/Board menu.

Revision 1.20  2001/11/21 13:20:58  kloczek
new version 1.5.3:
- added Terminals submenu.

Revision 1.19  2001/09/06 18:47:19  kloczek
- new version 1.5.2: added Games/{Arcade,Card}.

Revision 1.18  2001/07/29 17:04:35  jajcus
- Version: 1.5.1
	- UTF-8 translation (jajcus)
	- Scientific directory added (roman,jajcus)
- s/configur2_13/configure/ (version 1.5.1 was prepared with new autoconf)
- Conflicts: wmconfig < 0.9.10-5 (older wmconfig don't support UTF-8)

Revision 1.17  2001/07/28 16:24:08  yaro
- configure -> configure2_13

Revision 1.16  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.15  2001/07/10 18:38:09  blues
-typo

Revision 1.14  2001/03/15 14:02:20  michuz
- updated to 1.5.0

Revision 1.13  2001/02/17 00:57:42  michuz
- /bz2/gz/s

Revision 1.12  2001/02/17 00:56:36  michuz
- 1.4.3
- ICQ, IRC replaced by Communications

Revision 1.11  2000/12/30 02:48:43  kloczek
- added using new applnk automake/autoconf suit.

Revision 1.10  2000/12/30 01:46:09  michuz
- 1.4.2
- in Settings/.order changed Gnome to GNOME

Revision 1.9  2000/12/30 01:31:15  michuz
- removed %%{_applnkdir}/Settings/Peripherals

Revision 1.8  2000/12/12 03:25:34  michuz
- version 1.4
- added support for kde2
- added Games/.order
- added Settings/Peripherals
- removed Internet, Networking, Applications

Revision 1.7  2000/06/05 05:32:09  kloczek
- Version: 1.3.

Revision 1.6  2000/06/05 05:19:10  kloczek
new 1.3 version:
- added Games/Strategy (me),
- fixed Office/PIMs/.directory (michuz).

Revision 1.5  2000/05/31 12:21:18  kloczek
new 1.2 version:
- more .order and .directory files (michuz),
- added Office/{Misc,Presentations,Databases,PIMs} and Graphics/Viewers
  subdirectories (michuz),

Revision 1.4  2000/05/28 10:16:18  kloczek
- s/gz/bz2/

Revision 1.3  2000/05/28 10:15:07  kloczek
- new version 1.1,
- new subdirectiories: Office/{Spreadsheets,Wordprocessors},
  Utilities/CD-RW, Network/{Misc,Mail,IRC} (michuz).

Revision 1.2  2000/05/26 22:45:51  bonkey
- some corrections in %%description

Revision 1.1  2000/05/26 22:37:59  kloczek
- from scrach.
